# $Revision: 1.43 $, $Date: 2007/01/22 23:17:26 $
#
# Conditional build:
%bcond_with	gtk1	# use GTK+ 1.2 instead of GTK+2
#
Summary:	Desktop organizer application for PalmOS devices
Summary(pl):	Organizer dla urzdze PalmOS
Summary(pt_BR):	Software para interao com o Pilot
Name:		jpilot
Version:	0.99.9
Release:	1
License:	GPL
Group:		X11/Applications
# wget is banned, so use our df.
# Source0Download:	http://jpilot.org/%{name}-%{version}.tar.gz
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	c39df29aeed57b84a674524856ebc290
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-locale-names.patch
#PatchX:		%{name}_other.v0_99_7.diff
URL:		http://jpilot.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel >= 0.16.1
%{?with_gtk1:BuildRequires:	gtk+-devel >= 1.2.0}
%{!?with_gtk1:BuildRequires:	gtk+2-devel >= 1:2.0.3}
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pilot-link-devel >= 0.11.2
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
J-Pilot is a desktop organizer application for the PalmOS devices that
runs under Linux with plugins support. It is similar in functionality
to the original Palm Desktop software.

%description -l pl
J-Pilot jest programem do zarzdzania urzdzeniami PalmOS dla Linuksa
z moliwoci dodawania wtyczek. Posiada zblion funkcjonalno do
oryginalnego oprogramowania Palm Desktop.

%description -l pt_BR
Um software para interao com o Pilot.

%prep
%setup -q
%patch0 -p1
#%patchX -p1 # UPDATE or DROP

mv -f po/{no,nb}.po
rm -f po/stamp-po

%{__perl} -pi -e 's@pilot_prefix/lib /usr/lib@pilot_prefix/%{_lib} /usr/%{_lib}@' configure.in
%{__perl} -pi -e 's@/lib/jpilot/plugins@/%{_lib}/jpilot/plugins@' */Makefile.am

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	ABILIB="%{_lib}" \
	%{?with_gtk1:--disable-gtk2}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/jpilot.desktop

# plugins are dlopened by *.so
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS README TODO icons docs/{*.png,*.jpg,*.html}
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%attr(755,root,root) %{_libdir}/%{name}/plugins/*.so*
%{_datadir}/jpilot
%{_mandir}/man1/*
%{_desktopdir}/jpilot.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jpilot.spec,v $
Revision 1.43  2007/01/22 23:17:26  glen
- update to 0.99.9

Revision 1.42  2005/06/26 02:38:48  zbyniu
- BR: pkgconfig

Revision 1.41  2004/11/27 18:52:08  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.40  2004/10/28 13:47:16  tiwek
- added option for convert charset via iconv
- release 4
- STBR

Revision 1.39  2004/07/14 19:03:39  qboosh
- finished fixing build on amd64; release 3

Revision 1.38  2004/07/14 13:03:32  qboosh
- one more

Revision 1.37  2004/07/14 12:56:54  qboosh
- try to fix amd64 build

Revision 1.36  2004/07/14 11:21:35  qboosh
- added locale-names patch (no->nb), switched to vfolders, cleanup
- release 2

Revision 1.35  2004/05/11 07:07:58  tiwek
- upgrade to 0.99.7

Revision 1.34  2004/03/19 23:46:27  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.33  2003/08/29 02:01:44  aredridel
- builds, but needs work

Revision 1.32  2003/08/19 16:14:08  t0tal
- updated to 0.99.6 version

Revision 1.31  2003/08/18 08:08:12  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.30  2003/08/12 22:32:47  ankry
- cosmetics

Revision 1.29  2003/07/01 23:47:12  undefine
- BR: openssl-devel

Revision 1.28  2003/07/01 23:43:48  undefine
- BR: readline-devel

Revision 1.27  2003/07/01 23:42:30  undefine
- BR: intltool
- STBR: nest

Revision 1.26  2003/07/01 14:26:31  qboosh
- jpilot.desktop moved to existing directory
- removed BR XFree86-xrender-devel (not used by jpilot itself, only
  indirectly through gtk+2, pango and xft)

Revision 1.25  2003/06/27 21:59:59  undefine
- add BR

Revision 1.24  2003/06/06 11:19:26  qboosh
- s/_without_gtk2/_with_gtk1/ (it's feature change, not disabling)
- don't BR unused version of gtk

Revision 1.23  2003/06/02 20:37:54  t0tal
- added support to GTK+2, it's default option now
- GTK+(1) support moved to _without_gtk2
- cleanups
- rel 2

Revision 1.22  2003/06/02 14:04:15  t0tal
- fixed BR

Revision 1.21  2003/06/02 13:21:42  trojan
- fixed BR (by y0shi)

Revision 1.20  2003/05/28 12:59:15  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 05:49:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/04/20 14:10:24  t0tal
- updated to version 0.99.5
- rewrited Summary, Summary(pl)
- rewrited %description, %description -l pl

Revision 1.17  2003/01/18 22:51:59  juandon
- removed two lines with define

Revision 1.16  2002/10/09 13:47:11  qboosh
- typo

Revision 1.15  2002/10/09 13:36:47  kloczek
- added missing "rm -f miesssing" on top %build.

Revision 1.14  2002/10/09 08:57:35  qboosh
- reapplied pl fixes

Revision 1.13  2002/10/09 08:54:30  marcus
- finished upgrade
- qboodh: it was nfy!

Revision 1.11  2002/10/09 07:24:47  marcus
- updated to 0.99.3

Revision 1.10  2002/06/23 20:52:52  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.9  2002/04/25 16:39:55  arturs
fixed a small typo

Revision 1.8  2002/02/23 02:59:08  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/03 20:51:42  ankry
- adding es/pt/pt_BR Group translations

Revision 1.5  2002/01/18 02:13:27  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/09/17 12:02:56  qboosh
- removed English "es" translations

Revision 1.3  2001/08/13 15:08:10  kloczek
- added pl translations (by Pl0ns).

Revision 1.2  2001/08/13 14:27:51  kloczek
- completly rewrited but still NYF.

Based on RH spec file.
